package com.heyu.api.data.service.device;
/**
* <p>
* 设备信息表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.device.DeviceInfoEntity;
public interface DeviceInfoService extends IService<DeviceInfoEntity> {



	DeviceInfoEntity selectDeviceInfoById(Long id);


	Long insertDeviceInfo(DeviceInfoEntity deviceInfo);


	Long insertOrUpdateDeviceInfo(DeviceInfoEntity deviceInfo);


	int updateDeviceInfoById(DeviceInfoEntity deviceInfo);


	int updateCoverDeviceInfoById(DeviceInfoEntity deviceInfo);


	int deleteDeviceInfoById(Long id);


}